package com.ff.base.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 优惠领取状态
 *
 * @author liukang
 * @date 2024/12/21
 */
@Getter
@AllArgsConstructor
public enum DiscountReceiveStatus {

    STATUS_0("0",  "待领取"),
    STATUS_1("1",  "已领取"),
    STATUS_2("2", "系统已派发"),
    // 会员降级作废、任务层级去除也需作废等
    STATUS_3("3",  "已作废"),
    STATUS_4("4",  "已过期"),
    STATUS_5("-1", "所有已领取"),
    STATUS_6("6", "手动已派发"),
    STATUS_7("7", "已取消"),
    STATUS_8("-2", "所有已放弃");
    private final String status;
    private final String info;

}
